Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001364TestLinkUser Interface Generalpublic2008-02-06 08:342009-02-13 18:59
Reporterbwinett 
Assigned Tomhavlat 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.3 
Fixed in Version1.7.5 
Summary0001364: clean up English version of text displayed on Test Case Edit and Archive page - en_US
Descriptionmade these changes to editTC.html under en_US to bring in line with the en_GB version (after the changes I previously reported):

12c12
< @import "../../{$smarty.const.TL_THEME_CSS_DIR}testlink.css";
---
> @import "{$basehref}{$smarty.const.TL_THEME_CSS_DIR}testlink.css";
14c14,17
< <script type="text/javascript" src="../../javascript/testlink_library.js">
---
>
> <script>
> // need due to global coupling in open_help_window()
> var fRoot='{$basehref}';
16d18
< </head>
17a20,22
> <script type="text/javascript" src="{$basehref}gui/javascript/testlink_library.js">
> </script>
> </head>
25,32c30,33
< "javascript:open_popup('./glosary.html#testspec');">Test
< Specification</span> is a place where a user can view and edit all of the
< existing <span class="help"
< onclick="javascript:open_popup('./glosary.html#product');">Product</span>, Component, Category, and <span class="help"
< onclick="javascript:open_popup('./glosary.html#testcase');">Test case</span> information.
< A user cannot look at a different versions of test cases - the database
< maintains the actual version only. The recommended practice is print the test
< specification when a testing is done.


---
> "javascript:open_help_window('glosary','{$locale}');">test specification</span> is where you view and edit
> <span class="help" onclick="javascript:open_help_window('glosary','{$locale}');">test projects</span>, test suites, and
> <span class="help" onclick="javascript:open_help_window('glosary','{$locale}');">test cases</span>.
> You can also look at a different versions of test cases.


37c38
<
  • Select Product name in navigation pane

  • ---
    >
  • Select the test project name in the navigation pane on the left.

  • 39,40c40,41
    <
  • Create a new components, categories and test cases for the product
    < (selectable in top right corner).

  • ---
    >
  • Create new test suites and test cases (you can choose a different test project by selecting it in the drop-box
    > at the top right corner of the page).

  • 44,46c45,47
    <
  • Assign your created Test Specification to <span class="help" onclick=
    < "javascript:open_popup('./glosary.html#testplan');">Test Plan</span> when
    < Test cases are ready.

  • ---
    >
  • Assign your created test specification to a <span class="help" onclick=
    > "javascript:open_help_window('glosary','{$locale}');">test plan</span> when
    > your test cases are ready.

  • 49,52c50,53
    <

    TestLink offers organize test cases into two levels of containers: Component
    < and Category. You can describe a content of both containers via five
    < descriptive fields. These texts could be printed together with test cases
    < then.


    ---
    >

    With TestLink you organize test cases into test suites.
    > Test suites can be nested within other test suites, enabling you to create hierarchies of test suites.
    > You can then print this information together with the test cases.
    >


    TagsNo tags attached.
    Database (MySQL,Postgres,etc)
    Browser
    PHP Version
    TestCaseID
    QA Team - Task Workflow Status
    Attached Files

    - Relationships

    -  Notes
    (0005088)
    mhavlat (reporter)
    2009-01-22 18:04

    copied GB to US

    - Issue History
    Date Modified Username Field Change
    2008-02-06 08:34 bwinett New Issue
    2009-01-22 18:03 mhavlat Status new => assigned
    2009-01-22 18:03 mhavlat Assigned To => mhavlat
    2009-01-22 18:04 mhavlat Status assigned => resolved
    2009-01-22 18:04 mhavlat Fixed in Version => next hot-fix (1.7.5)
    2009-01-22 18:04 mhavlat Resolution open => fixed
    2009-01-22 18:04 mhavlat Note Added: 0005088
    2009-02-13 18:59 mhavlat Status resolved => closed



    Copyright © 2000 - 2020 MantisBT Team
    Powered by Mantis Bugtracker